Connectors
Create Connector
Create a new connector integration. Free plan is limited to 5 active connectors.
POST
/
api
/
connectors
Create connector
curl --request POST \
--url https://www.sontairo.com/api/connectors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"projectId": "<string>",
"type": "<string>",
"providerId": "<string>",
"providerName": "<string>",
"grantedScopes": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://www.sontairo.com/api/connectors"
payload = {
"workspaceId": "<string>",
"projectId": "<string>",
"type": "<string>",
"providerId": "<string>",
"providerName": "<string>",
"grantedScopes": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
projectId: '<string>',
type: '<string>',
providerId: '<string>',
providerName: '<string>',
grantedScopes: ['<string>'],
metadata: {}
})
};
fetch('https://www.sontairo.com/api/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workspaceId": "<string>",
"projectId": "<string>",
"type": "<string>",
"providerId": "<string>",
"providerName": "<string>",
"grantedScopes": [
"<string>"
],
"hasCredential": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}Authorizations
bearerAuthcookieAuth
Session token issued by the desktop/native auth exchange, sent as Authorization: Bearer .
Body
application/json
The workspace ID
Project to create the connector in
Legacy connector type (e.g. SLACK, GOOGLE)
Registry provider ID (e.g. slack, notion, github)
Display name for the connector
Required string length:
1 - 100OAuth scopes to request
Response
Connector created
Show child attributes
Show child attributes
⌘I
Create connector
